complexType "TradeUnderlyer2"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (floatingRate | fixedRate | exchangeRate | underlyingAsset | quotedCurrencyPair | referenceEntity)?, averagingMethod?, (payerPartyReference? | (buyerPartyReference?, sellerPartyReference?))?, dayCountFraction?
</...>

Content Model Elements (11):

  averagingMethod (in underlyer defined in GenericProduct complexType),
  buyerPartyReference,
  dayCountFraction (in underlyer defined in GenericProduct complexType),
  exchangeRate (in underlyer defined in GenericProduct complexType),
  fixedRate (in underlyer defined in GenericProduct complexType),
  floatingRate (in underlyer defined in GenericProduct complexType),
  payerPartyReference (defined in PayerReceiver.model group),
  quotedCurrencyPair (in underlyer defined in GenericProduct complexType),
  referenceEntity (in underlyer defined in GenericProduct complexType),
  sellerPartyReference,
  underlyingAsset

All Direct / Indirect Based Elements (1):

  underlyer (defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (1):
  underlyer (defined in GenericProduct complexType)

Annotation
The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives). For use with Generic products in Transparency reporting. Generic products define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="TradeUnderlyer2"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="floatingRate" type="FloatingRate"/> <xsd:element name="fixedRate" type="Schedule"/> <xsd:element name="exchangeRate" type="GenericProductExchangeRate"/> <xsd:element ref="underlyingAsset"/> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element name="referenceEntity" type="LegalEntity"/> </xsd:choice> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> <xsd:choice minOccurs="0"> <xsd:group ref="PayerReceiver.model"/> <xsd:group ref="BuyerSeller.model"/> </xsd:choice> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 8/11)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable. This defines the averaging method applicable to this asset (used for Commodities).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  Specifies a day count fraction or fractions that apply to this underlyer; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

exchangeRate

  Type: | GenericProductExchangeRate, complex content

  The rate of exchange between two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="exchangeRate" type="GenericProductExchangeRate"/>

fixedRate

  Type: | Schedule, complex content

  The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedRate" type="Schedule"/>

floatingRate

  Type: | FloatingRate, complex content

  A floating rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="floatingRate" type="FloatingRate"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Describes the composition of a rate that has been quoted. This includes the two currencies and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceEntity" type="LegalEntity"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 13 elements

  Define the underlying asset, either a listed security or other instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.